CREATE TABLE bm_shopping_cart (
    ID                           NUMBER(18, 0) ,
    ENABLED                      NUMBER(1, 0)      NOT NULL,
    DISPLAY_TOTAL_TYPE           NUMBER(1, 0)      NOT NULL,
    CHECKOUT_BUTTON_LABEL        VARCHAR2(1020)    NOT NULL,
    HIDE_BUTTON_LABEL            VARCHAR2(1020)    NOT NULL,
    CLEAR_CART_BUTTON_LABEL      VARCHAR2(1020),
    SHOW_CLEAR_CART_BUTTON       NUMBER(1, 0)      NOT NULL,
    ITEMS_SELECTED_BY_DEFAULT    NUMBER(1, 0)      NOT NULL,
    DATE_ADDED                   DATE              NOT NULL,
    DATE_MODIFIED                DATE              NOT NULL,
    REMOVE_ITEMS_ON_CHECKOUT     NUMBER(1, 0)      NOT NULL,
    GUID                         VARCHAR2(1020)    NOT NULL,
    ID                           NUMBER(18, 0) ,
    ENABLED                      NUMBER(1, 0)      NOT NULL,
    DISPLAY_TOTAL_TYPE           NUMBER(1, 0)      NOT NULL,
    CHECKOUT_BUTTON_LABEL        VARCHAR2(1020)    NOT NULL,
    HIDE_BUTTON_LABEL            VARCHAR2(1020)    NOT NULL,
    CLEAR_CART_BUTTON_LABEL      VARCHAR2(1020),
    SHOW_CLEAR_CART_BUTTON       NUMBER(1, 0)      NOT NULL,
    ITEMS_SELECTED_BY_DEFAULT    NUMBER(1, 0)      NOT NULL,
    DATE_ADDED                   DATE              NOT NULL,
    DATE_MODIFIED                DATE              NOT NULL,
    REMOVE_ITEMS_ON_CHECKOUT     NUMBER(1, 0)      NOT NULL,
    GUID                         VARCHAR2(1020)    NOT NULL,
    CONSTRAINT pk_bm_shopping_cart PRIMARY KEY (ID, ID)
);
